Page MenuHomePhabricator

run-tests: also catch double-escapes for $TESTTMP
ClosedPublic

Authored by Alphare on Jul 7 2021, 9:14 AM.

Details

Summary

On Windows the $TESTTMP string "repr" is different than its value, because \ become \\. We introduce a new $STR_REPR_TESTTMP substitution to match that too.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jul 7 2021, 9:14 AM
Alphare updated this revision to Diff 28938.Jul 7 2021, 10:03 AM
marmoute requested changes to this revision.Jul 7 2021, 11:55 AM
marmoute added a subscriber: marmoute.

This seems wrong. What is displayed here is not TESTTMP it is a stringencoded vesion of TESTTMP. We should use a different variable substitution for that something like STR_REPR_TESTTMP.

This revision now requires changes to proceed.Jul 7 2021, 11:55 AM
marmoute updated this revision to Diff 29039.Jul 9 2021, 7:44 AM
marmoute accepted this revision.Jul 9 2021, 8:34 PM
baymax updated this revision to Diff 29072.Jul 9 2021, 9:21 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 29092.Jul 9 2021, 11:41 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute edited the summary of this revision. (Show Details)Jul 10 2021, 1:44 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.